Home / a new dating site 2016 / Updating the pkgdb

Updating the pkgdb

Other pieces poll others’ status: koji scrapes pkgdb for package-owner relationships and email aliases.This dense coupling of services makes changing, adding, or replacing services more complicated: commits to one project require a spidering of code changes to all the others.pkg-static: sqlite error while executing UPDATE deps SET origin=? pkg: sqlite error while executing UPDATE deps SET origin=? sqlite Registering installation for glib-2.42.1 Installing glib-2.42.1... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id *** Error code 70 Stop in /usr/ports/devel/glib20. Another variant, as package: [[email protected] /usr]# pkg add glib-2.36.3_2Installing glib-2.36.3_2... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id Failed to install the following 1 package(s): glib-2.36.3_2Query: [[email protected] /usr/ports/devel/glib20]# pkg shell SQLite version 3.8.7 2014-10-17 Enter ".help" for usage hints. [88/321] Upgrading freeglut from 2.8.1 to 2.8.1_3...pkg-static: sqlite error while executing UPDATE deps SET origin=? pkg: sqlite error while executing UPDATE deps SET origin=? pkg: unlinkat(usr/local/lib/12): No such file or directory pkg: unlinkat(usr/local/share/licenses/freeglut-2.8.1/LICENSE): No such file or directory pkg: unlinkat(usr/local/share/licenses/freeglut-2.8.1/MIT): No such file or directory pkg: unlinkat(usr/local/share/licenses/freeglut-2.8.1/catalog.mk): No such file or directory pkg: unlinkat(usr/local/share/licenses/freeglut-2.8.1/): No such file or directory [88/321] Extracting freeglut-2.8.1_3: 100% [89/321] Reinstalling compositeproto-0.4.2...Registering installation for glib-2.42.1 Installing glib-2.42.1... pkg-static: sqlite error while executing UPDATE deps SET origin=? pkg: sqlite error while executing UPDATE deps SET origin=? sqlite Registering installation for glib-2.42.1 Installing glib-2.42.1... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id *** Error code 70 Stop in /usr/ports/devel/glib20. Another variant, as package: [[email protected] /usr]# pkg add glib-2.36.3_2Installing glib-2.36.3_2... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id Failed to install the following 1 package(s): glib-2.36.3_2Query: [[email protected] /usr/ports/devel/glib20]# pkg shell SQLite version 3.8.7 2014-10-17 Enter ".help" for usage hints.pkg-static: sqlite error while executing UPDATE deps SET origin=? pkg: sqlite error while executing UPDATE deps SET origin=? sqlite Registering installation for glib-2.42.1 Installing glib-2.42.1... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id *** Error code 70 Stop in /usr/ports/devel/glib20. Another variant, as package: [[email protected] /usr]# pkg add glib-2.36.3_2Installing glib-2.36.3_2... 3; in file pkgdb.c:1619: UNIQUE constraint failed: deps.name, deps.version, deps.package_id Failed to install the following 1 package(s): glib-2.36.3_2Query: [[email protected] /usr/ports/devel/glib20]# pkg shell SQLite version 3.8.7 2014-10-17 Enter ".help" for usage hints. Each one looks for certain events and fires off tests when appropriate.

updating the pkgdb-73updating the pkgdb-61

In your case I'd expect to see two packages (called either 'glib' or 'docbook') -- reducing that to one should solve your problem, but you should make sure that doesn't end up breaking any dependencies.

We’ll occasionally send you account related emails. [2/8] Deleting files for gettext-0.18.3.1_1: 100% [3/8] Installing gettext-runtime-0.19.3...

done (0 conflicting) Conflicts with the existing packages have been found.

This is the recommended command to keep your system up to date daily.

This utility can be used to query for information about packages installed in your system and in specific repositories.

605 comments

  1. Dec 29, 2014. Received a db error while trying to update subversion, after. in file pkgdb.c1619 UNIQUE constraint failed deps.name, deps.version, deps.

  2. Pkgdb - packages database tool 28 December 2001. Need more help on this. [email protected]~ # /usr/local/sbin/pkgdb -F Updating the pkgdb in /var/db/pkg.

  3. Apr 13, 2018. Adding or updating software packages not possible. Unable to contact "Fedora Project PkgDb" admin.fedoraproject.org; Unable to download.

  4. An application using a libpkg DBVERSION is assumed to be compatible. with * Any lower schema version of the DB, by updating the schema to DBVERSION.

Leave a Reply

Your email address will not be published. Required fields are marked *

*